/*****************************************************************************
 *                                                                           *
 *        **********                                                         *
 *       ************                                                        *
 *      ***        ***                                                       *
 *      ***   +++   ***                                                      *
 *      ***   + +   ***                                                      *
 *      ***   +                            CHIPCON CC1010                    *
 *      ***   + +   ***                   HAL - SetPortBit                   *
 *      ***   +++   ***                                                      *
 *      ***       ***                                                        *
 *       ***********                                                         *
 *        *********                                                          *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 *****************************************************************************
 * Author:              ROH                                                  *
 *****************************************************************************
 * Revision history:                                                         *
 *                                                                           *
 * $Log: SetPortBit.c,v $
 * Revision 1.2  2003/02/25 10:14:12  tos
 * Bugfix: insert break after each SetPortBit-case.
 *
 * Revision 1.1  2002/10/14 13:04:35  tos
 * Initial version in CVS.
 *
 *                                                                           *
 ****************************************************************************/

#include <chipcon/hal.h>
//----------------------------------------------------------------------------
// Functions which allow procedural or indirect access to ports.
        // Sets and gets data bitwise
void halSetPortBit(byte portNum, byte bitNum, byte dataBit) {
    byte mask=(1<<bitNum);

    if (dataBit) {
        switch (portNum) {
            case 0: P0|=mask; break;
            case 1: P1|=mask; break;
            case 2: P2|=mask; break;
            case 3: P3|=mask; break;
            default: 	break;
        }
    } else {
        switch (portNum) {
            case 0: P0&=~mask; break;
            case 1: P1&=~mask; break;
            case 2: P2&=~mask; break;
            case 3: P3&=~mask; break;
            default: 	break;
        }
    }
}
