/*****************************************************************************
 *                                                                           *
 *        **********                                                         *
 *       ************                                                        *
 *      ***        ***                                                       *
 *      ***   +++   ***                                                      *
 *      ***   + +   ***                                                      *
 *      ***   +                            CHIPCON CC1010                    *
 *      ***   + +   ***                  HAL - SetPortBitDir                 *
 *      ***   +++   ***                                                      *
 *      ***       ***                                                        *
 *       ***********                                                         *
 *        *********                                                          *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 *****************************************************************************
 * Author:              ROH                                                  *
 *****************************************************************************
 * Revision history:                                                         *
 *                                                                           *
 * $Log: SetPortBitDir.c,v $
 * Revision 1.2  2003/03/12 09:40:03  tos
 * Corrected inconsistent port direction control.
 *
 * Revision 1.1  2002/10/14 13:04:36  tos
 * Initial version in CVS.
 *
 *                                                                           *
 ****************************************************************************/

#include <chipcon/hal.h>
//----------------------------------------------------------------------------
// Functions and macros which allow indirect or procedural access
// to port direction registers.
        // Sets direction bitwise
void halSetPortBitDir(byte portNum, byte bitNum, byte direction) {
    byte mask=(1<<bitNum);

    if (direction) {
        switch (portNum) {
            case 0: P0DIR|=mask; break;
            case 1: P1DIR|=mask; break;
            case 2: P2DIR|=mask; break;
            case 3: P3DIR|=mask; break;
            default: 	break;
        }
    } else {
        switch (portNum) {
            case 0: P0DIR&=~mask; break;
            case 1: P1DIR&=~mask; break;
            case 2: P2DIR&=~mask; break;
            case 3: P3DIR&=~mask; break;
            default: 	break;
        }
    }
}

